ランタイム: Mix::Sound::IManager Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
Mix::Sound::IManager Class Referenceabstract

サウンドマネージャーインターフェース More...

`#include <IManager.h>`

Inheritance diagram for Mix::Sound::IManager:
[legend]
Collaboration diagram for Mix::Sound::IManager:
[legend]

## Public Member Functions

2D サウンド
virtual Boolean | CreateSimpleController (const wchar_t *pFilePath, Mix::Sound::IController **ppController)=0
| シンプルコントローラーを作成します More...
virtual Boolean | CreateSimpleController (Mix::IO::IReader *pReader, Mix::Sound::IController **ppController)=0
| シンプルコントローラーを作成します More...
virtual Boolean | CreateStreamingController (const wchar_t *pFilePath, Boolean bBuffered, Mix::Sound::IController **ppController)=0
| ストリーミングコントローラーを作成します More...
virtual Boolean | CreateStreamingController (Mix::IO::IReader *pReader, Mix::Sound::IController **ppController)=0
| ストリーミングコントローラーを作成します More...
3D サウンド
virtual Boolean | CreateListener (const Mix::Vector3 &localFront, const Mix::Vector3 &localUp, Mix::Sound::IListener **ppListener, const wchar_t *pDebugName=NULL)=0
| リスナーを作成します More...
virtual Boolean | CreateSimpleEmitter (Mix::Sound::IListener *pListener, const wchar_t *pFilePath, const Mix::Vector3 &localFront, const Mix::Vector3 &localUp, Mix::Sound::IEmitter **ppEmitter)=0
| シンプルエミッターを作成します More...
virtual Boolean | CreateSimpleEmitter (Mix::Sound::IListener *pListener, Mix::IO::IReader *pReader, const Mix::Vector3 &localFront, const Mix::Vector3 &localUp, Mix::Sound::IEmitter **ppEmitter)=0
| シンプルエミッターを作成します More...
virtual Boolean | CreateStreamingEmitter (Mix::Sound::IListener *pListener, const wchar_t *pFilePath, Boolean bBuffered, const Mix::Vector3 &localFront, const Mix::Vector3 &localUp, Mix::Sound::IEmitter **ppEmitter)=0
| ストリーミングエミッターを作成します More...
virtual Boolean | CreateStreamingEmitter (Mix::Sound::IListener *pListener, Mix::IO::IReader *pReader, const Mix::Vector3 &localFront, const Mix::Vector3 &localUp, Mix::Sound::IEmitter **ppEmitter)=0
| ストリーミングエミッターを作成します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IManager (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

サウンドマネージャーインターフェース

Note
  - シンプル
    デコードされたメモリ上のサウンドファイルを再生します。
    効果音などの短い時間のものを再生するのに適しています。
    また、コントローラー、エミッターともにクローンを作成することができます。
  - ストリーミング
    サウンドファイルを少しずつデコードしながら、再生します。
    曲などの長い時間のものを再生するのに適しています。
    また、ストリーミングにはサウンドファイルを直接デコードする方法と、メモリ上のサウンドファイル( 圧縮されている状態 )をデコードする、二つの方法があり、 後者はコントローラー、エミッターともにクローンを作成することができます。
    ※ 前者はクローンを作成することはできません

## Constructor & Destructor Documentation

virtual Mix::Sound::IManager::~IManager | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Sound::IManager::CreateSimpleController | ( | const wchar_t * | pFilePath,
|  | Mix::Sound::IController ** | ppController
| ) |  |

pure virtual

シンプルコントローラーを作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppController | 作成したシンプルコントローラーを渡す Mix::Sound::IController インターフェースへのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Sound::IManager::CreateSimpleController | ( | Mix::IO::IReader * | pReader,
|  | Mix::Sound::IController ** | ppController
| ) |  |

pure virtual

シンプルコントローラーを作成します

Parameters

  [in] | pReader | Mix::IO::IReader インターフェースのポインタ
  [out] | ppController | 作成したシンプルコントローラーを渡す Mix::Sound::IController インターフェースへのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  シンプルコントローラーの作成に成功した場合、pReader の参照カウンタを +1 します

virtual Boolean Mix::Sound::IManager::CreateStreamingController | ( | const wchar_t * | pFilePath,
|  | Boolean | bBuffered,
|  | Mix::Sound::IController ** | ppController
| ) |  |

pure virtual

ストリーミングコントローラーを作成します

Parameters

  [in] | pFilePath | ファイルパス
  [in] | bBuffered | ファイルをメモリに格納して再生する場合は True
  [out] | ppController | 作成したストリーミングコントローラーを渡す Mix::Sound::IController インターフェースへのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Sound::IManager::CreateStreamingController | ( | Mix::IO::IReader * | pReader,
|  | Mix::Sound::IController ** | ppController
| ) |  |

pure virtual

ストリーミングコントローラーを作成します

Parameters

  [in] | pReader | Mix::IO::IReader インターフェースのポインタ
  [out] | ppController | ストリーミングコントローラーを渡す Mix::Sound::IController インターフェースへのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  ストリーミングコントローラーの作成に成功した場合、pReader の参照カウンタを +1 します

virtual Boolean Mix::Sound::IManager::CreateListener | ( | const Mix::Vector3 & | localFront,
|  | const Mix::Vector3 & | localUp,
|  | Mix::Sound::IListener ** | ppListener,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

リスナーを作成します

Parameters

  [in] | localFront | ローカルの前方を表す Mix::Vector3 クラス
  [in] | localUp | ローカルの上方を表す Mix::Vector3 クラス
  [out] | ppListener | 作成したリスナーを渡す Mix::Sound::IListener インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  作成に成功した場合は True を返します

virtual Boolean Mix::Sound::IManager::CreateSimpleEmitter | ( | Mix::Sound::IListener * | pListener,
|  | const wchar_t * | pFilePath,
|  | const Mix::Vector3 & | localFront,
|  | const Mix::Vector3 & | localUp,
|  | Mix::Sound::IEmitter ** | ppEmitter
| ) |  |

pure virtual

シンプルエミッターを作成します

Parameters

  [in] | pListener | リスナーを表す Mix::Sound::IListener インターフェースのポインタ
  [in] | pFilePath | ファイルパス
  [in] | localFront | ローカルの前方を表す Mix::Vector3 クラス
  [in] | localUp | ローカルの上方を表す Mix::Vector3 クラス
  [out] | ppEmitter | 作成したシンプルエミッターを渡す Mix::Sound::IEmitter インターフェースへのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  シンプルエミッターの作成に成功した場合、pListener の参照カウンタを +1 します

virtual Boolean Mix::Sound::IManager::CreateSimpleEmitter | ( | Mix::Sound::IListener * | pListener,
|  | Mix::IO::IReader * | pReader,
|  | const Mix::Vector3 & | localFront,
|  | const Mix::Vector3 & | localUp,
|  | Mix::Sound::IEmitter ** | ppEmitter
| ) |  |

pure virtual

シンプルエミッターを作成します

Parameters

  [in] | pListener | リスナーを表す Mix::Sound::IListener インターフェースのポインタ
  [in] | pReader | Mix::IO::IReader インターフェースのポインタ
  [in] | localFront | ローカルの前方を表す Mix::Vector3 クラス
  [in] | localUp | ローカルの上方を表す Mix::Vector3 クラス
  [out] | ppEmitter | 作成したシンプルエミッターを渡す Mix::Sound::IEmitter インターフェースへのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  シンプルエミッターの作成に成功した場合、pListener pReader の参照カウンタを +1 します

virtual Boolean Mix::Sound::IManager::CreateStreamingEmitter | ( | Mix::Sound::IListener * | pListener,
|  | const wchar_t * | pFilePath,
|  | Boolean | bBuffered,
|  | const Mix::Vector3 & | localFront,
|  | const Mix::Vector3 & | localUp,
|  | Mix::Sound::IEmitter ** | ppEmitter
| ) |  |

pure virtual

ストリーミングエミッターを作成します

Parameters

  [in] | pListener | リスナーを表す Mix::Sound::IListener インターフェースのポインタ
  [in] | pFilePath | ファイルパス
  [in] | bBuffered | ファイルをメモリに格納して再生する場合は True
  [in] | localFront | ローカルの前方を表す Mix::Vector3 クラス
  [in] | localUp | ローカルの上方を表す Mix::Vector3 クラス
  [out] | ppEmitter | 作成したストリーミングエミッターを渡す Mix::Sound::IEmitter インターフェースへのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  ストリーミングエミッターの作成に成功した場合、pListener の参照カウンタを +1 します

virtual Boolean Mix::Sound::IManager::CreateStreamingEmitter | ( | Mix::Sound::IListener * | pListener,
|  | Mix::IO::IReader * | pReader,
|  | const Mix::Vector3 & | localFront,
|  | const Mix::Vector3 & | localUp,
|  | Mix::Sound::IEmitter ** | ppEmitter
| ) |  |

pure virtual

ストリーミングエミッターを作成します

Parameters

  [in] | pListener | リスナーを表す Mix::Sound::IListener インターフェースのポインタ
  [in] | pReader | Mix::IO::IReader インターフェースのポインタ
  [in] | localFront | ローカルの前方を表す Mix::Vector3 クラス
  [in] | localUp | ローカルの上方を表す Mix::Vector3 クラス
  [out] | ppEmitter | 作成したストリーミングエミッターを渡す Mix::Sound::IEmitter インターフェースへのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  ストリーミングエミッターの作成に成功した場合、pListener pReader の参照カウンタを +1 します

The documentation for this class was generated from the following file:

- Mix/Sound/IManager.h